Bug 618440 - jbd2/ocfs2: Fix block checksumming when a buffer is used in several transactions
Summary: jbd2/ocfs2: Fix block checksumming when a buffer is used in several transactions
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Eryu Guan
URL:
Whiteboard:
Keywords: RHELNAK
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-26 22:37 UTC by Sunil Mushran
Modified: 2011-05-19 12:38 UTC (History)
7 users (show)

Fixed In Version: kernel-2.6.32-130.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 12:38:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jbd2/ocfs2: Fix block checksumming when a buffer is used in several transactions (9.74 KB, patch)
2010-07-26 22:37 UTC, Sunil Mushran
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Sunil Mushran 2010-07-26 22:37:51 UTC
Created attachment 434554 [details]
jbd2/ocfs2: Fix block checksumming when a buffer is used in several transactions

This is a request to include an upstream patch in the upcoming RHEL6 kernel.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=13ceef099edd2b70c5a6f3a9ef5d6d97cda2e096

Comment 2 RHEL Product and Program Management 2010-07-26 22:57:35 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Sunil Mushran 2010-07-27 17:16:52 UTC
Not sure I understand what next refers to. 6.1?

If so, adding this change then will be expensive because it breaks abi. Easier to do it now.

The patch is safe. While it modifies jbd2, it modifies a functionality that ext4 does not use. In fact, if you ignore the change in the function name, the actual diff is very small.

ocfs2 needs this patch inorder to support metaecc (metadata checksumming).

Comment 4 Josef Bacik 2010-07-27 17:50:44 UTC
Hrm that isn't clear is it, yeah it's talking about 6.1.  JBD/JBD2 are not bound by KABI, so we can change whatever we want, whenever we want, so 6.1 is reasonable.

Comment 7 RHEL Product and Program Management 2010-12-16 21:00:19 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 12 Aristeu Rozanski 2011-04-07 14:13:55 UTC
Patch(es) available on kernel-2.6.32-130.el6

Comment 19 errata-xmlrpc 2011-05-19 12:38:17 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.